package com.zehong.system.domain.vo;

import com.zehong.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class TradeExpensesStatisticsDetailExportVo {

    @Excel(name = "部门")
    private String tradeDeptName;

    @Excel(name = "经办人")
    private String tradeTransactorName;

    @Excel(name = "买方部门")
    private String applyDeptName;

    @Excel(name = "交易项目")
    private String relationTransactionProjectName;

    @Excel(name = "交易细项名称")
    private String transactionDetailName;

    private Date createTime;

    @Excel(name = "申请时间")
    private String createTimeStr;

    @Excel(name = "项目状态",dictType = "t_transaction_project_status")
    private String tradeStatus;

    @Excel(name = "交易总额")
    private BigDecimal tradeTotal;

    @Excel(name = "交易成交价")
    private BigDecimal dealPrice;

    public String getTradeDeptName() {
        return tradeDeptName;
    }

    public void setTradeDeptName(String tradeDeptName) {
        this.tradeDeptName = tradeDeptName;
    }

    public String getTradeTransactorName() {
        return tradeTransactorName;
    }

    public void setTradeTransactorName(String tradeTransactorName) {
        this.tradeTransactorName = tradeTransactorName;
    }

    public String getApplyDeptName() {
        return applyDeptName;
    }

    public void setApplyDeptName(String applyDeptName) {
        this.applyDeptName = applyDeptName;
    }

    public String getRelationTransactionProjectName() {
        return relationTransactionProjectName;
    }

    public void setRelationTransactionProjectName(String relationTransactionProjectName) {
        this.relationTransactionProjectName = relationTransactionProjectName;
    }

    public String getTransactionDetailName() {
        return transactionDetailName;
    }

    public void setTransactionDetailName(String transactionDetailName) {
        this.transactionDetailName = transactionDetailName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public String getTradeStatus() {
        return tradeStatus;
    }

    public void setTradeStatus(String tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

    public BigDecimal getTradeTotal() {
        return tradeTotal;
    }

    public void setTradeTotal(BigDecimal tradeTotal) {
        this.tradeTotal = tradeTotal;
    }

    public BigDecimal getDealPrice() {
        return dealPrice;
    }

    public void setDealPrice(BigDecimal dealPrice) {
        this.dealPrice = dealPrice;
    }
}
